using UnityEngine;
using UnityEngine.XR.ARFoundation;

namespace SpellBoundAR.ARImageTracking.Debugging
{
    public class ARSessionDebugger : MonoBehaviour
    {
        [Header("Settings")]
        [SerializeField] private bool logging;
        
        [Header("States")]
        [SerializeField] private ARSessionState state;

        private void Update()
        {
            state = ARSession.state;
            if (logging) Debug.Log("AR Session State: " + state);
        }
    }
}
